<?php
// $Id: commentluv.admin.inc,v 1.1.2.3 2010/01/01 18:23:48 pcambra Exp $

/**
 * @file
 * Admin settings for CommentLuv module.
 */

/**
 * Admin settings for Comment Luv
 * @see system_settings_form()
 */
function commentluv_admin_settings() {
  $form = array();

  $node_types = node_get_types();
  $form['commentluv_nodetypes'] = array(
    '#type' => 'fieldset',
    '#title' => t('Node types enabled for CommentLuv'),
    '#collapsible' => TRUE,
  );

  foreach ($node_types as $node_type) {
    $form['commentluv_nodetypes']['commentluv_nodetype_'. $node_type->type] = array(
      '#type' => 'checkbox',
      '#title' => $node_type->name,
      '#default_value' => variable_get('commentluv_nodetype_'. $node_type->type, 0),
    );
  }

  $form['commentluv_trim'] = array(
    '#type' => 'textfield',
    '#title' => t('Max number of characters for the url titles'),
    '#default_value' => variable_get('commentluv_trim', 0),
    '#size' => 10,
  );

  $form['commentluv_nofollow'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add nofollow to commentluv links'),
    '#default_value' => variable_get('commentluv_nofollow', 0),
  );

  /**
   * Profile support
   */
  if (module_exists('profile')) {
    $profile_fields = array('0' => t("Don't use any profile field"));
    $sql = "SELECT fid, title FROM {profile_fields} WHERE type IN ('textfield','url')";
    $result = db_query($sql);
    while ($data = db_fetch_object($result)) {
      $profile_fields[$data->fid] = $data->title;
    }
    if ($profile_fields) {
      $form['commentluv_profile_field'] = array(
        '#type' => 'select',
        '#title' => t('Profile fields available'),
        '#default_value' => variable_get('commentluv_profile_field', 0),
        '#options' => $profile_fields,
      );
    }
  }

  return system_settings_form($form);
}